org.apache.solr.util

## Class ExternalPaths

- java.lang.Object
- - org.apache.solr.util.ExternalPaths

-     public class ExternalPaths
      extends Object

  Some tests need to reach outside the classpath to get certain resources (e.g. the example configuration). This class provides some paths to allow them to do this.
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SCHEMALESS_CONFIGSET`
    `static String` | `SERVER_HOME`
    `static String` | `SOURCE_HOME` The main directory path for the solr source being built if it can be determined.
    `static String` | `TECHPRODUCTS_CONFIGSET`
    `static String` | `WEBAPP_HOME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalPaths()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SOURCE_HOME

          public static final String SOURCE_HOME

      The main directory path for the solr source being built if it can be determined. If it can not be determined -- possily because the current context is a client code base using hte test frameowrk -- then this variable will be null.

      Note that all other static paths available in this class are derived from the source home, and if it is null, those paths will just be relative to 'null' and may not be meaningful.

    - #### WEBAPP_HOME

          public static String WEBAPP_HOME

    - #### SCHEMALESS_CONFIGSET

          public static String SCHEMALESS_CONFIGSET

    - #### TECHPRODUCTS_CONFIGSET

          public static String TECHPRODUCTS_CONFIGSET

    - #### SERVER_HOME

          public static String SERVER_HOME

  - ### Constructor Detail

    - #### ExternalPaths

          public ExternalPaths()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.